IKhowudi ye-Visual Studio ishiya inkxaso ye-Ubuntu 18.04 kunye nezinye ii-distros "ezindala".

Ikhowudi yeSitudiyo esibonakalayo ku-Ubuntu 18.04

Abahleli bombhalo Kukho ezininzi kwaye zahlukahlukene, kodwa Ikhowudi ye-Visual Studio esuka kuMicrosoft yeyona ifakwe kwiikhompyuter ezininzi zabaphuhlisi. Ngokubhekiselele kwizizathu, ndinokuqinisekisa kuphela eyam: ngumhleli osele esenza okuninzi emva kokuyifakela ukusuka ekuqaleni, kwaye inokuguqulwa ibe uhlobo IDE ukuba izandiso eziyimfuneko zifakiwe. Kulungile, kodwa abasebenzisi beLinux "endala" yosasazo kuya kufuneka bajonge ezinye iindlela okanye bahlale kuguqulelo olungahlaziywanga.

Ukukhutshwa kukaJanuwari ka-2024, iKhowudi ye-Visual Studio 1.86, yonyuse ubuncinci beemfuno zalo mhleli wombhalo odumileyo, kwaye ngoku ifuna ubuncinci i-glib 2.28. Asiyi kuchaza apha indlela inkqubo yokusebenza esekwe kwi-Linux, kodwa siya kuthi kukho iinxalenye, ezifana nala mathala eencwadi, ayinxalenye yesiseko sayo. Ubuntu 18.04 isebenzisa glibc 2.27, ngoko ke ayinayo into efunekayo ukuvula Visual Studio Code v1.86.

IKhowudi ye-Visual Studio 1.86 ifuna i-glibc 2.28

Nangona apha sithetha ngakumbi ngo-Ubuntu 18.04, yintoni ikhankanywa UJoey Sneddon ovela kwi-OMG! Ubuntu! ingxaki iyakubakho nakuluphi na unikezelo "oludala", bona izicatshulwa, awukwazi ukusebenzisa i-glibc 2.28. Olunye ukhetho lubonakala luhlala ekuhlaziyeni inkqubo yokusebenza okanye ukuhlala kwiKhowudi ye-Visual Studio 1.85, esebenzayo kuyo nayiphi na inkqubo engasakwazi ukuphatha i-v1.86.

Ubuntu 18.04 buya kuxhaswa kude kube ngu-2028, kodwa inkxaso iCanonical ibonelela ngeenguqulelo zayo ze-LTS ukusuka kwiminyaka emi-5 ubudala igubungela kuphela iipatches zokhuseleko. Ngapha koko, nokuba besingaphakathi kule minyaka mi-5 yokuqala, amathala eencwadi afana ne-glibc awaqhelekanga ukuhlaziywa.

Kutheni unamathela kwiinguqulelo “ezindala”?

Xa ndibhala "ndala" okanye "ndala" ndiyenza ngokucaphula kuba azindala kangako. Windows 10 yaphuma ngo-2015 kwaye yinguqulo endala kunentsha Windows 11. Yintoni iMicrosoft engasayixhasi yinto esele ineminyaka eyi-12 ubudala (Windows 8.1), kodwa asikwazi ukuthelekisa iLinux kunye nezinye iinkqubo zokusebenza.

Ngokumalunga nombuzo, kukho iinkampani okanye iiprojekthi ezinokuthatha isigqibo hlala kuguqulelo olutsha olungaphantsi kuba luzinzile kwaye abafuni ezamva nje. Ukuhlaziywa kwezi meko kunokuba yintloko, kwaye banokukhetha ukulibazisa loo mzuzu kangangoko kunokwenzeka. Ingxaki iza xa kukho abaphuhlisi abathi, ukukhulula i-ballast ethile, balahle inkxaso yecandelo elinye okanye ngaphezulu.

Ngokuphathelele oko ulahlekelweyo, kakuhle, imisebenzi emitsha ongenakuze uyisebenzise, ​​mhlawumbi kungcono ukunamathela kwi-v1.85.


Shiya uluvo lwakho

Idilesi yakho ye email aziyi kupapashwa. ezidingekayo ziphawulwe *

*

*

  1. Inoxanduva lwedatha: I-AB Internet Networks 2008 SL
  2. Injongo yedatha: Ulawulo lwe-SPAM, ulawulo lwezimvo.
  3. Umthetho: Imvume yakho
  4. Unxibelelwano lwedatha: Idatha ayizukuhanjiswa kubantu besithathu ngaphandle koxanduva lomthetho.
  5. Ukugcinwa kweenkcukacha
  6. Amalungelo: Ngalo naliphi na ixesha unganciphisa, uphinde uphinde ucime ulwazi lwakho.